View Issue Details

IDProjectCategoryView StatusLast Update
0002721PartBugpublic2018-09-11 21:41
ReporterDeepSOIC Assigned ToDeepSOIC  
PrioritynormalSeveritymajorReproducibilityrandom
Status assignedResolutionopen 
Product Version0.17 
Summary0002721: Face order instability with Part Extrude and friends
DescriptionSorting inside facemaker can cause order of faces to shuffle based on subtolerance differences if extruding multiple profiles of same size (e.g. a face with a few equally sized holes).
Steps To Reproduce1. New Sketch. Draw two circles, constrain them equal radius.
2. Part Extrude.
3. add a fillet to one of the cylinders
4. open the sketch, and drag the circles so that their radii change.
-> fillet jumps from one cylinder to another,
Additional InformationOS: Windows 10
Word size of OS: 64-bit
Word size of FreeCAD: 64-bit
Version: 0.17.8361 (Git)
Build type: Release
Branch: DeepSOIC10
Hash: 4ac7673e543274bcae856872033a114c7b60481b
Python version: 2.7.8
Qt version: 4.8.7
Coin version: 4.0.0a
OCC version: 7.0.0
Tags#pending
FreeCAD Information

Relationships

child of 0000922 assignedjnxd FreeCAD Topological Naming 

Activities

DeepSOIC

2016-10-04 15:41

developer  

facemaker toponaming.FCStd (Attachment missing)

Kunda1

2017-12-11 20:31

administrator   ~0010575

@DeepSOIC do you mind re-upping the attachment again?

DeepSOIC

2017-12-17 12:50

developer  

DeepSOIC

2017-12-17 12:50

developer   ~0010611

Sure!

DeepSOIC

2018-09-11 21:41

developer   ~0011713

If it wasn't yet fixed by realthunder already, it should be done in his branch, or in master after his toponaming is merged.

Issue History

Date Modified Username Field Change
2016-10-04 15:41 DeepSOIC New Issue
2016-10-04 15:41 DeepSOIC Status new => assigned
2016-10-04 15:41 DeepSOIC Assigned To => DeepSOIC
2016-10-04 15:41 DeepSOIC File Added: facemaker toponaming.FCStd
2017-10-18 14:19 wmayer Project FreeCAD => Part
2017-12-11 20:31 Kunda1 Note Added: 0010575
2017-12-11 20:31 Kunda1 Tag Attached: #pending
2017-12-17 12:50 DeepSOIC File Added: facemaker toponaming-2.FCStd
2017-12-17 12:50 DeepSOIC Note Added: 0010611
2018-01-02 14:16 wmayer Relationship added child of 0000922
2018-01-02 14:16 wmayer Target Version 0.17 =>
2018-09-11 21:41 DeepSOIC Note Added: 0011713